Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002372opensim[REGION] OpenSim Corepublic2008-10-09 15:172008-12-23 01:09
ReporterOrion_Shamroy 
Assigned ToTeravus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0002372: Rotation of child prims become jumbled after adding a rotated prim or secondary link set to an existing link set.
DescriptionExpected behavior: When combining or adding to link sets regardless of the rotation of the set or prim which is being added to the link set, none of the child prims should physically move or change rotation unless the root prim is rotated. If the root prim is rotated, the link set as a whole should rotate while the rotation of the child prims will remain within arbitrary position to the root.

Actual behavior: When combining two link sets or adding a single prim to an existing link set, wherein the set or prim which is being added has a rotation other than 0 along the x,y, or Z axis, the former root prim of the original set remains unchanged regardless as to its rotation, however if the child prims within the original set have any rotation other than 0 along their x, y, or z axis their rotations if not the same as the new root prim seemingly become jumbled with the following results listed.

In the case of a pre-existing link set wherein the rotation of only the root prim is changed, a similar behavior is presented wherein the rotation of the child prims not having either a zero rotation or any rotation along the same axis as the one that has changed will also change rotations in a seemingly similar pattern.

Original Child Rotation = <0,0,0>, new root's rotation = <0,0,0>, <90,0,0>, <0,90,0>, or <0,0,90>:
Former Root = unchanged
Children = unchanged

***

Original Child Rotation = <90,0,0>, new root's rotation = <90,0,0>:
Former Root = unchanged
Children = unchanged

Original Child Rotation = <0,90,0>, new root's rotation = <90,0,0>:
Former Root = unchanged
Children =<0,0,90>

Original Child Rotation = <0,0,90>, new root's rotation = <90,0,0>:
Former Root = unchanged
Children =<0,270,0>

***

Original Child Rotation = <90,0,0>, new root's rotation = <0,90,0>:
Former Root = unchanged
Children = <0,0,270>

Original Child Rotation = <0,90,0>, new root's rotation = <0,90,0>:
Former Root = unchanged
Children = unchanged

Original Child Rotation = <0,0,90>, new root's rotation = <0,90,0>:
Former Root = unchanged
Children =<0,90,0>

***

Original Child Rotation = <90,0,0>, new root's rotation = <0,0,90>:
Former Root = unchanged
Children = <0,90,0>

Original Child Rotation = <0,90,0>, new root's rotation = <0,0,90>:
Former Root = unchanged
Children = <270,0,0>

Original Child Rotation = <0,0,90>, new root's rotation = <0,0,90>:
Former Root = unchanged
Children =<0,90,0>
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE, Other
Script Engine
EnvironmentMono / Linux32, Mono / Windows
Mono VersionNone
Viewer
Attached Files

- Relationships
has duplicate 0002408closedTeravus Extending a linkset breaks the rotation of child prims 
child of 0002870new META - Linking issues 

-  Notes
(0008247)
Teravus (administrator)
2008-12-21 06:59

Fixed in trunk.
Be careful still, edit linked parts with linksets still doesn't work with rotation. Position should work fine though.
(0008345)
Orion_Shamroy (reporter)
2008-12-23 01:09

It looks to me like my original issue has been solved. Thanks gang and good work! :)

- Issue History
Date Modified Username Field Change
2008-10-09 15:17 Orion_Shamroy New Issue
2008-10-09 15:17 Orion_Shamroy SVN Revision => Tested on 0.5.9.6745 (OSGrid Wright Plaza) and 0.5.9.6744 (OSGrid Pseudospace)
2008-10-09 15:17 Orion_Shamroy Run Mode => Standalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2008-10-09 15:17 Orion_Shamroy Physics Engine => ODE, Other
2008-10-09 15:17 Orion_Shamroy Environment => Mono / Linux32, Mono / Windows
2008-10-09 15:23 Orion_Shamroy Description Updated
2008-10-09 15:25 Orion_Shamroy Description Updated
2008-10-30 09:55 tyre Relationship added has duplicate 0002408
2008-12-18 13:15 Teravus Relationship added child of 0002870
2008-12-21 06:59 Teravus Mono Version => None
2008-12-21 06:59 Teravus Status new => resolved
2008-12-21 06:59 Teravus Resolution open => fixed
2008-12-21 06:59 Teravus Assigned To => Teravus
2008-12-21 06:59 Teravus Note Added: 0008247
2008-12-23 01:09 Orion_Shamroy Status resolved => closed
2008-12-23 01:09 Orion_Shamroy Note Added: 0008345


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker